Subject: bug#24441: 24.5; rename directory in dired to change case

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2016 18:20:44 +0300

> Date: Thu, 15 Sep 2016 07:57:40 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> My point was that it is not necessarily the case that, for Emacs,
> _just because_ a filesystem is case-insensitive, you cannot
> rename a file to the same name but with a different letter case.

See the bug I pointed to, where John explained that OS X filesystems
can be either case-sensitive or case-insensitive.  Unlike on Windows,
Emacs cannot assume file names are always case-insensitive, so a
run-time test is needed, and someone needs to write the code to do it.